• Hello [name]! Thanks for joining the GMC. Before making any posts in the Tech Support forum, can we suggest you read the forum rules? These are simple guidelines that we ask you to follow so that you can get the best help possible for your issue.

Discussion Marketplace 1.x/2.x bifurcation?

csanyk

Member
Given that we now know that the rewrite for GMS2 is bringing with it some substantial changes with GML that will introduce compatibility breaks, this raises the question of how the GM:Marketplace will be handled.

I would like to see the Marketplace continue to exist for 1.x for... well, indefinitely, really, but more realistically for at least as long as 1.x remains a supported product. Beyond that, Marketplace customers should be able to expect to remain able to re-download their purchased assets from the Marketplace forever and ever and ever.

For 2.x assets sold through the Marketplace, I would expect that there should be a search filter that allows us to see assets that are 1.x only, 2.x only, or 1.x and 2.x compatible (assuming that some assets may well be usable in either version, particularly graphic and audio assets, but possibly also GML-coded scripts that work in both versions).

I guess generally, I have the question of How will YYG be handling the Marketplace, moving forward, in a manner that works for users on whichever version of GMS? What do users of the Marketplace (both buyers and sellers) want?
 

Mike

nobody important
GMC Elder
This is still being worked on at the moment.

GMS1.x users probably won't be able to download 2 assets - as the won't work anyway, but 2 can use 1.x assets.
 

rIKmAN

Member
but 2 can use 1.x assets.
That's pretty cool, will they work "as-is"?

I'm wondering if 1.x assets that use deprecated functions will automatically use the compatibility scripts like imported projects or whether they will need manual changes / updates?

Maybe a case by case thing?
 

csanyk

Member
That's pretty cool, will they work "as-is"?

I'm wondering if 1.x assets that use deprecated functions will automatically use the compatibility scripts like imported projects or whether they will need manual changes / updates?

Maybe a case by case thing?
From what they've revealed so far, it seems clear it will very much be a case by case basis.
 

rwkay

YoYo Games Staff
YYG Staff
But anything that requires DX9 rendering will not work without modification.....

Russell
 
Top